<template>
	<el-radio-group v-model="mode" v-bind="$attrs">
		<el-radio-button v-for="item in Object.keys(displayModeTypeMap)" :key="item" :label="item" >{{
			displayModeTypeMap[item]
		}}</el-radio-button>
	</el-radio-group>
</template>

<script setup lang="ts">
import { PropType, ref } from 'vue';
import { DisplayModeType, displayModeTypeMap } from './types';

const mode = defineModel({
	type: String as PropType<DisplayModeType>,
	default: DisplayModeType.Chart,
});


</script>
<style scoped lang="scss"></style>
